
    $(function() {
        //追加新增按钮 和 批量删除按钮
        let str = `<span class="btn btn-primary radius" id="add">新增</span>
    \t\t\t\t\t<span class="btn btn-primary radius" id="batch_del">批量删除</span>
    <br>
<input type="checkbox" id="all" />全选<br />`
        $('.panel-header').append(str)
        //全选功能
        $('#all').on("click",function(){
            if($(this).is(':checked')){
                $('input[name="sub"]').each(function(){
                    $(this).prop("checked",true);
                });
            }else{
                $('input[name="sub"]').each(function(){
                    $(this).prop("checked",false);
                });
            }
        });

        //给新增按钮绑定事件
        $('#add').click(function (){
        //发现 那个a链接好像好像是新增功能
        let addUrl = $('.panel-header').children('a').attr('href')
        window.location.href = addUrl
    })
        //批量删除功能
        $('#batch_del').click(function (){
        //获取所有选中的复选框值
        let arr = new Array();
        $("input[name='sub']:checked").each(function(i){
        arr[i] = $(this).val();
    });
        let vals = arr.join(",");
        if (vals.length==0){
        layer.msg('请先选中要删除的选项',{icon:2});
        return false;
    }
        let length = arr.length
        layer.confirm('确定要删除选中的'+length+'项吗？', {
        btn: ['确定','取消'] //按钮
    }, function(){
        //获取路由前缀
        let perfix = $('.panel-header').children('a').attr('href')
        //将编辑url统一替换为一个删除链接  delAll
        let reg=/^\/(.*)\//g
        let delUrl = perfix.match(reg)
        if (delUrl){
        delUrl =delUrl.pop()
    }
        if (!delUrl){
        layer.msg('路由获取错误！',{icon:2});
        return false;
    }
        delUrl = delUrl + 'delAll.html';
        let action = $('input[name="action"]').val() ||'';
        $.post(delUrl,{ids:vals,action:action},function (res){
        if (res.code){
        layer.msg(res.msg,{icon:1});
        setTimeout(function (){
        window.location.reload()
    },2000)
    }else{
        layer.msg(res.msg,{icon:2});
    }
    });

    }, function(){

    });
    })
        //对所有删除功能加一个确认
        $('a').click(function (){
            console.log($(this).text())
            let content = $(this).text();
            if (content == '删除'){
                let url = $(this).attr('href')
                layer.confirm('确定要删除吗？', {
                    btn: ['确定','取消'] //按钮
                }, function(){
                    $.post(url,{},function (res){
                        if (res.code){
                            layer.msg( res.msg,{icon:1} )
                            setTimeout(function (){
                                window.location.reload()
                            },2000)
                        }else{
                            layer.msg( res.msg,{icon:2} )
                        }
                    })
                }, function(){
                });

                return false;
            }
        })
});
